﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1064: (1 year) VER VISA /9500+4Hd
DATE:                  2018-08-01 16:03:23
AUTHOR:                Fluke
REVISION:              $Revision: 25078 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       205
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000 Series Digital Storage Oscilloscopes Service Manual
#      PN 077-0772-01.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         60MH                         1Vpp           LS    S
  1.004  M9500                       CH2
  1.005  9500         60MH                         1Vpp           LS    S
  1.006  M9500                       CH3
  1.007  9500         60MH                         1Vpp           LS    S
  1.008  M9500                       CH4
  1.009  9500         60MH                         1Vpp           LS    S
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                                     V

  1.012  IF           NOT(VERSIONCHECK("8.0"))
  1.013  END
  1.014  ENDIF

  1.015  CALL         Sub Display Copyright
  1.016  CALL         Sub High Voltage Safety Warning
  1.017  CALL         Sub Select Failed Test Mode
  1.018  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.019  DISP         Ensure a minimum DUT warm-up time of at least
  1.019  DISP         10 minutes has been allowed to elapse, prior
  1.019  DISP         to beginning verification.

  1.020  HEAD         COMMUNICATION SETUP
  1.021  TARGET
  1.022  CALL         Sub Tek TBS1000 USB Remote Interface Connection
  1.023  VISA         *RST

  1.024  HEAD         DUT IDENTIFICATION
  1.025  MATH         @DUT_Model = "TBS 1064"
  1.026  MATH         @DUT_Manufacturer = "Tektronix"
  1.027  CALL         Sub IEEE-488.2 *IDN? VISA
  1.028  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.029  JMPL         END                          @Abort

  1.030  CALL         Sub Tek TBS1000 Specifications

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.031  MATH         @IsMultiHead = 4
  1.032  CALL         Sub Tek TBS1000 Self-Test VISA
  1.033  JMPL         END                          @Abort
  1.034  CALL         Sub Tek TBS1000 Sig Path Comp Cal VISA
  1.035  JMPL         END                          @Abort

  1.036  MATH         @Chan = 1
  1.037  M9500                       CH1
  1.038  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500

  1.039  MATH         @Chan = 2
  1.040  M9500                       CH2
  1.041  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500

  1.042  MATH         @Chan = 3
  1.043  M9500                       CH3
  1.044  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500

  1.045  MATH         @Chan = 4
  1.046  M9500                       CH4
  1.047  CALL         Sub Tek TBS1000 (1 yr) DCV Meas VISA /9500

  1.048  MATH         @Chan = 1
  1.049  M9500                       CH1
  1.050  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500

  1.050  MATH         @Chan = 2
  1.051  M9500                       CH2
  1.053  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500

  1.052  MATH         @Chan = 3
  1.053  M9500                       CH3
  1.058  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500

  1.054  MATH         @Chan = 4
  1.055  M9500                       CH4
  1.061  CALL         Sub Tek TBS1000 (1 yr) Bandwidth VISA /9500

  1.056  MATH         @Chan = 1
  1.057  M9500                       CH1
  1.066  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500

  1.058  MATH         @Chan = 2
  1.059  M9500                       CH2
  1.069  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500

  1.060  MATH         @Chan = 3
  1.061  M9500                       CH3
  1.074  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500

  1.062  MATH         @Chan = 4
  1.063  M9500                       CH4
  1.077  CALL         Sub Tek TBS1000 (1 yr) Trig Sens VISA /9500
  1.064  JMPL         VERTICAL_POSITION

  1.065  LABEL        EXT_TRIG
  1.066  MATH         @Chan = 1
  1.067  MATH         @ConnDisp = 1
  1.068  M9500                       CH14
  1.069  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd

  1.070  MATH         @Chan = 2
  1.071  MATH         @ConnDisp = 0
  1.072  M9500                       CH24
  1.073  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd

  1.074  MATH         @Chan = 3
  1.075  MATH         @ConnDisp = 0
  1.076  M9500                       CH34
  1.077  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd

  1.078  MATH         @Chan = 4
  1.079  MATH         @ConnDisp = 0
  1.080  M9500                       CH14
  1.081  CALL         Sub Tek TBS1000 (1 yr) ExTrig VISA /9500+2Hd
  1.082  JMPL         END

  1.083  LABEL        SAMPLE_RATE_DELAY_TIME
  1.084  MATH         @Chan = 1
  1.085  M9500                       CH1
  1.098  CALL         Sub Tek TBS1000 (1 yr) Sample Rate VISA /9500
  1.086  JMPL         EXT_TRIG

  1.087  LABEL        VERTICAL_POSITION
  1.088  MATH         @Chan = 1
  1.089  M9500                       CH1
  1.103  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500

  1.090  MATH         @Chan = 2
  1.091  M9500                       CH2
  1.106  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500

  1.092  MATH         @Chan = 3
  1.093  M9500                       CH3
  1.111  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500

  1.094  MATH         @Chan = 4
  1.095  M9500                       CH4
  1.114  CALL         Sub Tek TBS1000 (1 yr) Vertical Pos VISA /9500
  1.096  JMPL         SAMPLE_RATE_DELAY_TIME

  1.097  LABEL        END

  1.098  IF           @Abort
  1.099  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.100  ENDIF

  1.101  VISA         *RST
  1.102  END
